Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Support for JavaServer Pages Java API Reference 10g Release 3 (10.1.3) B15978-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.webutil.email
Class SendMailUtil

`java.lang.Object
oracle.jsp.webutil.email.SendMailUtil`

public class SendMailUtil
extends java.lang.Object

Field Summary
`static java.lang.String` | `ATTACHMENT_PERMISSION`
`static java.lang.String` | `BINARY_FILE`
`static java.lang.String` | `CHARACTER_FILE`
`static java.lang.String` | `CLIENT_ATTACHMENT_PERMISSION`
`static java.lang.String` | `DATA_COL_DEFAULT`
`static java.lang.String` | `DATA_COL_PARAM`
`static java.lang.String` | `DATABASE`
`static java.lang.String` | `FILE_NAME_COL_DEFAULT`
`static int` | `FILE_TYPE_BINARY`
`static int` | `FILE_TYPE_CHARACTER`
`static int` | `FILE_TYPE_DEFAULT`
`static java.lang.String` | `FILESYSTEM`
`static java.lang.String` | `FILETYPE_PARAM`
`static java.lang.String` | `FNAME_COL_PARAM`
`static int` | `LOCATION_TYPE_DATABASE`
`static int` | `LOCATION_TYPE_DEFAULT`
`static int` | `LOCATION_TYPE_FILESYSTEM`
`static java.lang.String` | `NO_ATTACHMENT_PERMISSION`
`static boolean` | `OVERWRITE_DEFAULT`
`static java.lang.String` | `OVERWRITE_STR_DEFAULT`
`static java.lang.String` | `PREFIX_COL_DEFAULT`
`static java.lang.String` | `PREFIX_COL_PARAM`
`static boolean` | `RECURSE_DEFAULT`
`static java.lang.String` | `RECURSE_STR_DEFAULT`
`static java.lang.String` | `SERVER_ATTACHMENT_PERMISSION`
`static java.lang.String` | `SRCTYPE_PARAM`
`static java.lang.String` | `TABLE_NAME_DEFAULT`
`static java.lang.String` | `TABLE_PARAM`

Constructor Summary
`SendMailUtil()`

Method Summary
`static java.io.InputStream` | `getResourceAsStream(ServletContext sc, HttpServletRequest req, java.lang.String path)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BINARY_FILE

    public static final java.lang.String BINARY_FILE

  See Also:
    Constant Field Values

### CHARACTER_FILE

    public static final java.lang.String CHARACTER_FILE

  See Also:
    Constant Field Values

### FILESYSTEM

    public static final java.lang.String FILESYSTEM

  See Also:
    Constant Field Values

### DATABASE

    public static final java.lang.String DATABASE

  See Also:
    Constant Field Values

### LOCATION_TYPE_FILESYSTEM

    public static final int LOCATION_TYPE_FILESYSTEM

  See Also:
    Constant Field Values

### LOCATION_TYPE_DATABASE

    public static final int LOCATION_TYPE_DATABASE

  See Also:
    Constant Field Values

### FILE_TYPE_BINARY

    public static final int FILE_TYPE_BINARY

  See Also:
    Constant Field Values

### FILE_TYPE_CHARACTER

    public static final int FILE_TYPE_CHARACTER

  See Also:
    Constant Field Values

### SRCTYPE_PARAM

    public static final java.lang.String SRCTYPE_PARAM

  See Also:
    Constant Field Values

### TABLE_PARAM

    public static final java.lang.String TABLE_PARAM

  See Also:
    Constant Field Values

### DATA_COL_PARAM

    public static final java.lang.String DATA_COL_PARAM

  See Also:
    Constant Field Values

### PREFIX_COL_PARAM

    public static final java.lang.String PREFIX_COL_PARAM

  See Also:
    Constant Field Values

### FNAME_COL_PARAM

    public static final java.lang.String FNAME_COL_PARAM

  See Also:
    Constant Field Values

### FILETYPE_PARAM

    public static final java.lang.String FILETYPE_PARAM

  See Also:
    Constant Field Values

### NO_ATTACHMENT_PERMISSION

    public static final java.lang.String NO_ATTACHMENT_PERMISSION

  See Also:
    Constant Field Values

### SERVER_ATTACHMENT_PERMISSION

    public static final java.lang.String SERVER_ATTACHMENT_PERMISSION

  See Also:
    Constant Field Values

### CLIENT_ATTACHMENT_PERMISSION

    public static final java.lang.String CLIENT_ATTACHMENT_PERMISSION

  See Also:
    Constant Field Values

### ATTACHMENT_PERMISSION

    public static final java.lang.String ATTACHMENT_PERMISSION

  See Also:
    Constant Field Values

### LOCATION_TYPE_DEFAULT

    public static final int LOCATION_TYPE_DEFAULT

  See Also:
    Constant Field Values

### FILE_TYPE_DEFAULT

    public static final int FILE_TYPE_DEFAULT

  See Also:
    Constant Field Values

### OVERWRITE_DEFAULT

    public static final boolean OVERWRITE_DEFAULT

  See Also:
    Constant Field Values

### OVERWRITE_STR_DEFAULT

    public static final java.lang.String OVERWRITE_STR_DEFAULT

  See Also:
    Constant Field Values

### RECURSE_DEFAULT

    public static final boolean RECURSE_DEFAULT

  See Also:
    Constant Field Values

### RECURSE_STR_DEFAULT

    public static final java.lang.String RECURSE_STR_DEFAULT

  See Also:
    Constant Field Values

### TABLE_NAME_DEFAULT

    public static final java.lang.String TABLE_NAME_DEFAULT

  See Also:
    Constant Field Values

### PREFIX_COL_DEFAULT

    public static final java.lang.String PREFIX_COL_DEFAULT

  See Also:
    Constant Field Values

### FILE_NAME_COL_DEFAULT

    public static final java.lang.String FILE_NAME_COL_DEFAULT

  See Also:
    Constant Field Values

### DATA_COL_DEFAULT

    public static final java.lang.String DATA_COL_DEFAULT

  See Also:
    Constant Field Values

Constructor Detail

### SendMailUtil

    public SendMailUtil()

Method Detail

### getResourceAsStream

    public static java.io.InputStream getResourceAsStream(ServletContext sc,
                                                          HttpServletRequest req,
                                                          java.lang.String path)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Support for JavaServer Pages Java API Reference 10g Release 3 (10.1.3) B15978-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.